using Microsoft.Extensions.Configuration;
using Siger.CommonUtil;
using Siger.Schedule.TpmModule;
using System;
using System.IO;
using Xunit;

namespace Siger.UnitTest
{
    public class TpmUnitTest
    {
        static TpmUnitTest()
        {
            IConfiguration config = new ConfigurationBuilder()
                .AddJsonFile(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, @"appsettings.json"))
                .Build();
            ConfigFactory.InitConfigByContent(config);
        }
            

        [Fact]
        public void AutoAndonPushTest()
        {
            AutoAndonPush push = new AutoAndonPush();
            push.PreInit(null);
            push.Execute(null);
            push.AfterExecute(null);
        }
    }
}
